# filename: my_weather.py
# -*- coding: utf-8 -*-
import json
import requests
from bs4 import BeautifulSoup

# ---------基本信息-------------------
# key在网站上获取：https://console.heweather.com/my/service
key = "key=**************"  # 填入自己的key
locate = "location=****"  # 填入自己的地址,可以具体到区
Regular_weather_data = 'https://free-api.heweather.com/s6/weather?'  # 常规天气数据集合


# 根据接口查询
def weather_url(weather_api):
    url = weather_api + locate + "&" + key
    return url


def get_raw_data(url):
    data = requests.get(url)
    soup = BeautifulSoup(data.content, "html.parser", from_encoding='utf-8')
    soup = str(soup)
    json_data = json.loads(soup)
    return json_data


def LiveWeather(data):
    now_cond = data['HeWeather6'][0]['now']['cond_txt']  # 天气：阴，晴
    Sensible_temperature = data['HeWeather6'][0]['now']['fl']  # 体感温度
    tmp = data['HeWeather6'][0]['now']['tmp']  # 温度
    vis = data['HeWeather6'][0]['now']['vis']  # 能见度
    update_time = data['HeWeather6'][0]['update']['loc']  # 更新时间
    dress_suggestion_brf = data['HeWeather6'][0]['lifestyle'][1]['brf']  # 生活指数简介
    dress_suggestion_description = data['HeWeather6'][0]['lifestyle'][1]['txt']  # 生活指数详细描述
    return tmp


def air_quality(data):
    aqi = data['HeWeather6'][0]['air_now_station'][0]['aqi']  # 空气质量指数
    qlty = data['HeWeather6'][0]['air_now_station'][0]['qlty']  # 空气质量
    co = data['HeWeather6'][0]['air_now_station'][0]['co']  # CO
    pm25 = data['HeWeather6'][0]['air_now_station'][0]['pm25']
    pm10 = data['HeWeather6'][0]['air_now_station'][0]['pm10']
    main = data['HeWeather6'][0]['air_now_station'][0]['main']  # 主要污染物
    air_sta = data['HeWeather6'][0]['air_now_station'][0]['air_sta']  # 观测站
    pub_time = data['HeWeather6'][0]['air_now_station'][0]['pub_time']

    return pm25, pm10


def main():
    # -------常用数据-------------
    url = weather_url(Regular_weather_data)
    data = get_raw_data(url)
    # --------空气质量------------
    ac_url = 'https://free-api.heweather.com/s6/air/now?location=beijing&' + key  # 把北京改为你的城市
    ac_data = get_raw_data(ac_url)

    # 实时天气及空气质量
    tmp = LiveWeather(data)
    pm25, pm10 = air_quality(ac_data)
    return tmp, pm25, pm10
